Subject: [bug#28773] [PATCH] Wrap bin files in the ruby build system.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 16 Oct 2017 15:19:09 +0200

Hi Chris,

Christopher Baines <[email-masked]> skribis:

> This is a bit experimental. There is some description of the motivation
> behind this approach, as well as the downsides in the commit messages.
>
> I don't know how to wrap binaries with the GEM_PATH, but somehow
> excluding inputs specified as native-inputs, so I'd be very interested
> if anyone has ideas about this.
>
> Christopher Baines (3):
>   ruby-build-system: Add wrap-ruby-program.
>   ruby-build-system: Add a new wrap phase.
>   gnu: Remove redundant wrapping from packages using ruby-build-system.

Cc’ing Ben who is another Serious Ruby User I think.  :-)

Ludo’.